人工审核路由模式无效
发生此问题时,API 返回 422 Unprocessable Content。其 type 为 https://lingo.dev/docs/api/errors/human-edit-route-pattern-invalid。所有错误的通用结构,请参阅错误和状态码。
指向 <pool> 的路由中的 "<pattern>" 不是目录。请使用 docs/legal 或 docs/legal/** 等字面量路径段。
字段#
除标准的 type、status、title 和 detail 成员外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自定义文本。
| 字段 | 类型 |
|---|---|
pool | string |
pattern | string |
示例#
json
{
"detail": "\"<pattern>\" on the route to <pool> is not a directory. Use literal segments such as docs/legal or docs/legal/**.",
"pool": "<pool>",
"pattern": "<pattern>",
"type": "https://lingo.dev/docs/api/errors/human-edit-route-pattern-invalid",
"status": 422,
"title": "Human review route pattern invalid"
}返回此错误的端点#
PATCH /v2/engines/{id}POST /v2/localization/jobs/{id}/startPOST /v2/organizations/{orgId}/enginesPOST /v2/organizations/{orgId}/localization/estimatesPOST /v2/organizations/{orgId}/provisioning/jobs